#include "mbed.h"
#include <stdlib.h>
#include "ITG3200.h"

DigitalOut redLed(PC_0);
DigitalOut blueLed(PC_1);
DigitalOut greenLed(PC_2);

DigitalOut IR_1(PB_13);
DigitalOut IR_2(PB_1);
DigitalOut IR_3(PB_0);
DigitalOut IR_4(PB_14);

AnalogIn Rec_1(PC_5);
AnalogIn Rec_2(PC_4);
AnalogIn Rec_3(PA_6);
AnalogIn Rec_4(PA_7);

Serial serial(PC_6, PC_7);

ITG3200 gyro(PC_9, PA_8);

int main()
{
    gyro.setLpBandwidth(LPFBW_42HZ);
    
    wait (0.1);
    serial.printf("%i, %i, %i\n", gyro.getGyroX(), gyro.getGyroY(), gyro.getGyroZ());
        
    IR_1.write(1);
    IR_2.write(1);
    IR_3.write(1);
    IR_4.write(1);
    
    //while (1) {
//        redLed.write(0);
//        wait_ms(1000);
//        redLed.write(1);
//        greenLed.write(0);
//        wait_ms(1000);
//        greenLed.write(1);
//        blueLed.write(0);
//        wait_ms(1000);
//        blueLed.write(1);
//    }
}
